local Sorcerer = foundation.createMod();

_SorcererPrefix = "SORCERER"

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    Sorcerer:msgBox("Sorcerer: game version anterior to 1.6")
    return
end
Sorcerer:msgBox("Sorcerer: game version" .. foundation.getGameVersion())

-- Apply building asset processor
Sorcerer:registerAssetProcessor("models/sorcerer.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Sorcerer:registerAssetProcessor("models/sorcerer2.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Sorcerer:registerAssetId("models/scrollBlack.png", "ICON_SCROLL_BLACK")
Sorcerer:registerAssetId("models/scrollWhite.png", "ICON_SCROLL_WHITE")
Sorcerer:registerAssetId("models/scrollCyan.png", "ICON_SCROLL_CYAN")
Sorcerer:registerAssetId("models/scrollMagenta.png", "ICON_SCROLL_MAGENTA")
Sorcerer:registerAssetId("models/scrollYellow.png", "ICON_SCROLL_YELLOW")
-- Register hats prefab nodes
Sorcerer:registerAssetId("models/sorcerer.fbx/Prefab/chapeauPointu", _SorcererPrefix .. "_CHAPEAU_POINTU_PREFAB")
Sorcerer:registerAssetId("models/sorcererWhite.fbx/Prefab/chapeauPointuWhite", _SorcererPrefix .. "_CHAPEAU_POINTU_WHITE_PREFAB")
Sorcerer:registerAssetId("models/sorcererCyan.fbx/Prefab/chapeauPointuCyan", _SorcererPrefix .. "_CHAPEAU_POINTU_CYAN_PREFAB")
Sorcerer:registerAssetId("models/sorcererMagenta.fbx/Prefab/chapeauPointuMagenta", _SorcererPrefix .. "_CHAPEAU_POINTU_MAGENTA_PREFAB")
Sorcerer:registerAssetId("models/sorcererYellow.fbx/Prefab/chapeauPointuYellow", _SorcererPrefix .. "_CHAPEAU_POINTU_YELLOW_PREFAB")
Sorcerer:registerAssetId("models/balai.fbx/Prefab/balai", _SorcererPrefix .. "_BALAI_PREFAB")
-- Particle system
Sorcerer:dofile("scripts/particle_system.lua")
Sorcerer:dofile("scripts/bat.lua")
-- Jobs
Sorcerer:dofile("scripts/jobs.lua")
-- Buildings
Sorcerer:dofile("scripts/sorcererHouse1.lua")
Sorcerer:dofile("scripts/monument.lua")
