local Sorcerer = ...

Sorcerer:registerAssetId("models/core.fbx/Prefab/CoreBuildingPart", _SorcererPrefix .. "_CORE_BUILDING_PREFAB")

-- Register the Core part
Sorcerer:register({
	DataType = "BUILDING_PART",
	Id = _SorcererPrefix .. "_CORE_BUILDING_PART",
	Name = _SorcererPrefix .. "_CORE_BUILDING_NAME",
	Description = _SorcererPrefix .. "_CORE_BUILDING_DESC",
	Category = "CORE",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = _SorcererPrefix .. "_CORE_BUILDING_PREFAB"
	},
        IsVisibleWhenBuilt = false
})

-- Register all building parts and their properties
Sorcerer:dofile("scripts/sorcererHouse2.lua")

-- register monument
Sorcerer:register({
    DataType = "BUILDING",
    Id = _SorcererPrefix .. "_MONUMENT",
    Name = _SorcererPrefix .. "_MONUMENT_NAME",
    Description = _SorcererPrefix .. "_MONUMENT_DESC",
    BuildingType = "MONUMENT",
    AssetCoreBuildingPart = _SorcererPrefix .. "_CORE_BUILDING_PART",
    BuildingPartSetList = {
		{
			Name = _SorcererPrefix .. "2_PARTSETLIST_NAME",
                	BuildingPartList = { _SorcererPrefix .. "2_ROOT_PART" }
                }
    },
    RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
    },
    IsEditable = true
})

